package escape;

import java.awt.*;

public class KeycardMode extends GameMode {

  public int y = 600;
  public int delay = 0;

  @Override
  public void modify() {
    if (y >= 150) {
      y -= 5;
    } else if (delay < 75) {
      GameState.keycardUsed = true;
      delay++;
    } else {
      Main.main.setMode(Main.main.pipesMode);
    }
  }

  @Override
  public void draw(Graphics2D g) {
    g.drawImage(Images.keycardLocks[GameState.keycardUsed ? 2 : 3],
        0, 80, null);
    g.setClip(291, 442, 210, 158);
    g.drawImage(Images.keycards[2], 302, y, null);
    g.setClip(null);
  }

  @Override
  public boolean isInventoryAccessible() {
    return false;
  }
}
