package escape;

public class Region {

  public int x;
  public int y;
  public int width;
  public int height;
  public int id;
  public MouseCursor mouseCursor;

  public Region() {
  }

  public Region(int x, int y, int width, int height) {
    this(x, y, width, height, 0);
  }

  public Region(int x, int y, int width, int height, int id) {
    this(x, y, width, height, id, null);
  }

  public Region(int x, int y, int width, int height, int id,
      MouseCursor mouseCursor) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
    this.id = id;
    this.mouseCursor = mouseCursor;
  }
}
